project-navigation
Personal tools

Author Topic: Lucid Lynx Graphics workaround (temp)  (Read 2733 times)

Offline Shaolin Twelve

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
Lucid Lynx Graphics workaround (temp)
« on: February 06, 2011, 07:18:30 pm »
Hi there,

my own 64bit Lucid Lynx Laptop (Dell Inspiron 1520, with onboard Intel graphics) and my son's 32bit Lucid Lynx PC (with Intel 1GB onboard graphics card) were having problems displaying textures in models properly with the 2.3.1~1~getdeb1 version.

The ships were mainly black (missing textures) and any personnel wearing body armour & helmets were displaying corrupted textures.
The only difference I found after a lot of fiddling with the settings was a slight improvement in the ship models when I turned 'Texture Resolution Cap' to 'Low', and 'Lightmap Blocksize' to 'Low'. The personnel textures were still corrupted.

I found some of the settings buttons didn't work (Texture Ansitropy Level = 0 and not adjustable, Texture Compression unchangeable), and changing the other settings like advanced GL shaders, made no difference to the problems.

After many attempts to correct this problem I decided to try the older Karmic version (2.2.1). This works flawlessly.

If you are experiencing the same problems, I recommend downgrading to the Karmic version by doing the following;

Uninstall all the 2.3.1~1~getdeb1 UFOAI files through Synaptic.
Next go to your 'Repositories' heading in Synaptic, and using the check boxes, temporarily disable the following;

http://archive.getdeb.net/ubuntu lucid-getdeb games
http://archive.getdeb.net/ubuntu lucid-getdeb apps

then add the following repository;

deb http://archive.getdeb.net/ubuntu karmic-getdeb games

then refresh Synaptic.

Now when you search for UFOAI in Synaptic you should see the 2.2.1 Karmic version and not
the 2.3.1 Lucid version.

I tried to install all the components (ufoai, ufoai-data, ufoai-data-music, ufoai-server, ufoai-tools).

I was unable to install the main UFOAI executable using Synaptic due to a 404 not found error so if you get
the same error, do the following;

Open a web browser and goto;

mirrors.fe.up.pt/pub/getdeb/ubuntu/pool/games/u/ufoai/

click on the following (32bit) to download it;

ufoai_2.2.1-1~getdeb2_i386.deb

or

ufoai_2.2.1-1~getdeb2_amd64.deb  (64bit version)

When downloaded (you will need to close Synaptic for the next step), double click the file,
and an installation box should appear.

Click on install, then close the installer and re-open Synaptic.

When you search for UFOAI now, all the components of UFOAI should now be installed, and at
version 2.2.1-1~getdeb2. If not install the other components listed for ufoai.

In order to prevent this being upgraded to version 2.3.1~1 you will need to lock the version.

To do this select 'ufoai', then click on 'Packages', and then select 'Lock Version'. Do this for all
the ufoai files.

Next go into the 'Repositories' heading in Synaptic, and re-enable the getdeb repositories that
were disabled at the start of this downgrade. Close Synaptic when done.

For me the 64bit version I found at the above repository didn't work straight away, so I got an earlier version from
here;

https://launchpad.net/~gspreemann/+archive/ppa/+buildjob/1311355/+files/ufoai_2.2.1-0ubuntu0gspr4.2_amd64.deb

and double clicked it (invoking the package manager), and then installed it that way. I then installed the other ufoai
components through Synaptic, & locked the versions, then quit Synaptic. This resulted in not being able to find the
ufoai executable so;

I double-clicked the 'ufoai_2.2.1-1~getdeb2_amd64.deb' file I had retrieved earlier and this time it downloaded and
installed properly (hopefully it was a temporary 404 error so you won't have to do that).

Please note this is a temporary solution, and hopefully the later version (2.3.1~1) will be fixed soon.

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2561
    • View Profile
Re: Lucid Lynx Graphics workaround (temp)
« Reply #1 on: February 06, 2011, 10:40:13 pm »
Using 2.2.1 instead of the latest is hardly a solution for the problem It's like you say use DOS 6.22.
You shouldn't suggest bullshit.

-geever

Offline Shaolin Twelve

  • Cannon Fodder
  • **
  • Posts: 2
    • View Profile
Re: Lucid Lynx Graphics workaround (temp)
« Reply #2 on: February 07, 2011, 12:54:30 am »
So it's bullshit is it?

Bullshit is the poor graphics that don't work on my son's and my computers with the latest version. If you know how to get around the problems then post an answer, otherwise the real bullshit is what you (geever) are saying. It's hardly a crime to let others know what was done on a temporary basis, as others might prefer to try that option instead of wasting loads of time getting nowhere. I at least admitted this was only a temporary solution, and at least the earlier version works without faults. Get a brain and learn how to use it Geever, or stick with your dumbness and delight at flaming for no good reason so you can pat yourself on the back because you think you are superior to everyone else, or so lonely that flaming is the only way you can make yourself seem important.

It's a temporary solution...take it or leave it. I personally would have preferred that the latest version just worked but it didn't, I'm not responsible for making the game, nor am I criticizing the developers, I like UFOAI. Obviously you are one of many useless individuals who just like causing problems where there is no need, and I'm sure you just whine and whine, moan and moan without contributing any answers or solutions because you just wait for others to attempt it, then criticize their efforts.

Way to go! I apologise for daring to post on your forum!! Let's hope everyone avoids putting forth an option or a workaround until you have approved it.

BTW I'm thoroughly enjoying playing the earlier version, it's good to play a game that's this entertaining, and thank you to the developers for an excellent game, I'm sure that in time the latest version will have any kinks ironed out, and I am sure I will enjoy playing that just as much.

Offline geever

  • Project Coder
  • PHALANX Commander
  • ***
  • Posts: 2561
    • View Profile
Re: Lucid Lynx Graphics workaround (temp)
« Reply #3 on: February 07, 2011, 10:37:33 am »
As I see you are flaming, please don't do that. What I wanted to say is 2.2.x and 2.3.x are really different using a v2.2.x is not a workaround for 2.3 problems. One can download the 2.2.1 installer from sourceforge if wants it there is no need to mislead them.

-geever